import type IsAction from "../Interfaces/IsAction";
import type HasActionNoticeData from "../Interfaces/HasActionNoticeData";
/**
 * Notice action
 *
 * @since 1.0.0
 */
export default class ActionNotice implements IsAction {
    /**
     * Action data.
     *
     * @since 1.0.0
     */
    private data;
    /**
    * Constuctor.
    *
    * @param form Form object.
    * @param data Action data.
    *
    * @since 1.0.0
    */
    constructor(data: HasActionNoticeData);
    /**
     * Run action.
     *
     * @since 1.0.0
     *
     * @return boolean True if action was executed successfully.
     */
    execute(): boolean;
}
