import { alertStore } from "../../Stores/NoticeStore";
/**
 * Notice action
 *
 * @since 1.0.0
 */
export default class ActionNotice {
    /**
     * Action data.
     *
     * @since 1.0.0
     */
    data;
    /**
    * Constuctor.
    *
    * @param form Form object.
    * @param data Action data.
    *
    * @since 1.0.0
    */
    constructor(data) {
        this.data = data;
    }
    /**
     * Run action.
     *
     * @since 1.0.0
     *
     * @return boolean True if action was executed successfully.
     */
    execute() {
        alertStore.set(this.data);
        return true;
    }
}
