import type HasActionAlertData from "../Interfaces/HasActionNoticeData";
import type HasActionModalData from "../Interfaces/HasActionModalData";
import type HasActionNoticeData from "../Interfaces/HasActionNoticeData";
import type HasCallbackData from "../Interfaces/HasCallbackData";
/**
 * Actions.
 *
 * @since 1.0.0
 */
export default class Actions {
    private actions;
    /**
     * Constructor.
     *
     * @param actionsData Actions data.
     * @param form Form instance.
     *
     * @since 1.0.0
     */
    constructor(actionsData: HasActionAlertData[] | HasActionNoticeData[] | HasActionModalData[] | HasCallbackData[], formValues?: {});
    /**
     * Run all actions.
     *
     * @return boolean True if all actions were executed successfully.
     *
     * @since 1.0.0
     */
    execute(): boolean;
}
