import Actions from "./Actions";
import type HasEventData from "../Interfaces/HasEventData";
import Conditions from "../Helpers/Conditions";
import type Trigger from "../../Types/Trigger";
/**
 * Field class.
 *
 * @since 1.0.0
 */
export default class Event {
    readonly conditions: Conditions;
    readonly actions: Actions;
    readonly trigger: Trigger;
    /**
     * Constructor.
     *
     * @param trigger Trigger when action fires (change or submit).
     * @param conditions Conditions which have to be fullfilled to run actions after it was triggered.
     * @param actions Actions to be executed.
     *
     * @since 1.0.0
     */
    constructor(eventData: HasEventData, formValues?: {});
    /**
     * Runs the event.
     *
     * @return boolean True if all actions were executed successfully.
     *
     * @since 1.0.0
     */
    execute(): boolean;
}
