import Event from "./Event";
/**
 * Triggers.
 *
 * @since 1.0.0
 */
export default class Events {
    events = [];
    /**
     * Constructor.
     *
     * @param cssClasses Array of CSS classes.
     *
     * @since 1.0.0
     */
    constructor(EventsData, formValues = {}) {
        EventsData?.forEach(eventData => {
            this.events.push(new Event(eventData, formValues));
        });
    }
    /**
     * Chek if there are any events.
     *
     * @returns boolean True if there are events.
     *
     * @since 1.0.0
     */
    exists() {
        return this.events.length > 0;
    }
    /**
     * Execute all triggers.
     *
     * @return boolean True if all actions were executed successfully.
     *
     * @since 1.0.0
     */
    execute(trigger) {
        let execute = true;
        this.events.forEach(event => {
            if (event.trigger !== trigger) {
                return;
            }
            if (execute) {
                execute = event.execute();
            }
        });
        return execute;
    }
}
