import type HasFieldsetData from '../Interfaces/HasFieldsetData';
import CSSClasses from '../Helpers/CSSClasses';
import Conditions from '../Helpers/Conditions';
import MultipleField from '../Fields/MultipleField';
import SingleField from '../Fields/SingleField';
/**
 * Class Fieldset.
 *
 * @since 1.0.0
 */
export default class Fieldset {
    readonly id: string;
    readonly legend: string;
    readonly fields: (SingleField | MultipleField)[];
    readonly nextFieldset: string;
    readonly prevFieldset: string;
    readonly conditions: Conditions;
    readonly classes: CSSClasses;
    readonly legendClasses: CSSClasses;
    readonly fieldsClasses: CSSClasses;
    /**
     * Constructor.
     *
     * @param form Form object.
     *
     * @since 1.0.0
     */
    constructor(fieldsetData: HasFieldsetData, formValues?: {});
    hasNext(): boolean;
    hasPrev(): boolean;
}
